---
name: cli-mcp
description: Inspect the MCP server status, list registered tools and scopes, run tool invocations, and manage MCP audit logs from the CLI.
---
<!-- generated by src/lib/agentSkills/generator.ts; manual edits will be overwritten -->

## Overview

Inspect the MCP server status, list registered tools and scopes, run tool invocations, and manage MCP audit logs from the CLI.

## Quick install

```bash
npm install -g omniroute   # or: npx omniroute
omniroute --version
```

## Subcommands

### `mcp`

**Example:**

```bash
omniroute mcp
```

### `mcp status`

Show MCP server status

**Flags:**

- `--json`

**Example:**

```bash
omniroute mcp status
```

### `mcp restart`

Restart the MCP server

**Example:**

```bash
omniroute mcp restart
```

### `mcp call <tool> [argsJson]`

**Flags:**

- `--args <json>`
- `--args-file <path>`
- `--stream`
- `--scope <s>`

**Example:**

```bash
omniroute mcp call <tool> [argsJson]
```

### `mcp scopes`

**Flags:**

- `--tool <name>`

**Example:**

```bash
omniroute mcp scopes
```

### `mcp tools`

**Example:**

```bash
omniroute mcp tools
```

### `mcp list`

**Flags:**

- `--scope <s>`

**Example:**

```bash
omniroute mcp list
```

### `mcp info <name>`

**Example:**

```bash
omniroute mcp info <name>
```

### `mcp schema <name>`

**Flags:**

- `--io <kind>`

**Example:**

```bash
omniroute mcp schema <name>
```

### `mcp audit`

**Example:**

```bash
omniroute mcp audit
```

### `mcp tail`

**Flags:**

- `--follow`
- `--limit <n>`

**Example:**

```bash
omniroute mcp tail
```

### `mcp stats`

**Flags:**

- `--period <p>`

**Example:**

```bash
omniroute mcp stats
```
